import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { SmartSliderService } from '../smart-slider.service';
import { SmartSliderItem } from '../../models/smart-slider-item';
export declare class SmartSliderVerticalComponent implements OnInit {
    private element;
    _items: SmartSliderItem[];
    set items(value: Array<SmartSliderItem>);
    _showPrevious: boolean;
    set showPrevious(value: boolean);
    _showNext: boolean;
    set showNext(value: boolean);
    _showDots: boolean;
    set showDots(value: boolean);
    _autoplay: boolean;
    set autoplay(value: boolean);
    _loop: boolean;
    set loop(value: boolean);
    _pauseOnHover: boolean;
    set pauseOnHover(value: boolean);
    _itemMargin: string;
    set itemMargin(value: string);
    _itemPadding: string;
    set itemPadding(value: string);
    _textPosition: string;
    set textPosition(value: 'centered-top' | 'centered-bottom' | 'centered' | 'bottom-right ' | 'top-right' | 'top-left' | 'bottom-left');
    _textColor: string;
    set textColor(value: string);
    _cellLimit: number;
    set cellLimit(value: number);
    _width: string;
    containerWidth: string;
    set width(value: string);
    _autoplayInterval: number;
    set autoplayInterval(value: number);
    _transitionDuration: number;
    set transitionDuration(value: number);
    _class: string;
    set class(value: string);
    select: EventEmitter<any>;
    get hostClasses(): string;
    onResize(): void;
    height: string;
    isNext: boolean;
    smartSliderService: SmartSliderService;
    constructor(element: ElementRef);
    get slideInOut(): {
        value: number;
        params: {
            inWidth: string;
            inHeight: string;
            inTiming: number;
        };
    };
    private resize;
    ngOnInit(): void;
    onItemClick(selected: any): void;
    isNextDisabled(): boolean;
    isPreviousDisabled(): boolean;
    show(item: SmartSliderItem): boolean;
    onNext(): void;
    onPrevious(): void;
    isLast(item: any): boolean;
    onTransitionEnd(): void;
}
