import { EventEmitter } from '@angular/core';
import { DomSanitizer, SafeStyle } from '@angular/platform-browser';
import { SmartSliderItem } from '../models/smart-slider-item';
export declare class SmartSliderComponent {
    private sanitizer;
    _vertical: boolean;
    set vertical(value: boolean);
    _items: SmartSliderItem[];
    set items(value: Array<SmartSliderItem>);
    _showPrevious: boolean;
    set showPrevious(value: boolean);
    _showNext: boolean;
    set showNext(value: boolean);
    _showDots: boolean;
    set showDots(value: boolean);
    _autoplay: boolean;
    set autoplay(value: boolean);
    _loop: boolean;
    set loop(value: boolean);
    _pauseOnHover: boolean;
    set pauseOnHover(value: boolean);
    _itemMargin: string;
    set itemMargin(value: number);
    _itemPadding: string;
    set itemPadding(value: number);
    _textPosition: string;
    set textPosition(value: 'centered-top' | 'centered-bottom' | 'centered' | 'bottom-right ' | 'top-right' | 'top-left' | 'bottom-left');
    _textColor: string;
    set textColor(value: string);
    _cellLimit: number;
    set cellLimit(value: number);
    _height: string;
    set height(value: number);
    _width: string;
    set width(value: number);
    _autoplayInterval: number;
    set autoplayInterval(value: number);
    _transitionDuration: number;
    set transitionDuration(value: number);
    _class: string;
    set class(value: string);
    select: EventEmitter<any>;
    get hostStyles(): SafeStyle;
    get hostClasses(): string;
    constructor(sanitizer: DomSanitizer);
    onSelect(event: SmartSliderItem): void;
}
